Patch settings (legal in every status; omitted fields unchanged)
curl --request PATCH \
--url https://origami.chat/api/v3/send/campaigns/{campaign_id}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"channels": [],
"send_window": {
"start_hour": 11,
"end_hour": 11,
"days": [
3
]
},
"block_active_duplicates": true,
"block_prior_contacts": true,
"auto_lead_refill_enabled": true,
"auto_lead_refill_budget_credits": 1,
"require_message_approval": true,
"allow_excluded_recipients": true,
"block_already_connected": true
}
'import requests
url = "https://origami.chat/api/v3/send/campaigns/{campaign_id}/settings"
payload = {
"name": "<string>",
"channels": [],
"send_window": {
"start_hour": 11,
"end_hour": 11,
"days": [3]
},
"block_active_duplicates": True,
"block_prior_contacts": True,
"auto_lead_refill_enabled": True,
"auto_lead_refill_budget_credits": 1,
"require_message_approval": True,
"allow_excluded_recipients": True,
"block_already_connected": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
channels: [],
send_window: {start_hour: 11, end_hour: 11, days: [3]},
block_active_duplicates: true,
block_prior_contacts: true,
auto_lead_refill_enabled: true,
auto_lead_refill_budget_credits: 1,
require_message_approval: true,
allow_excluded_recipients: true,
block_already_connected: true
})
};
fetch('https://origami.chat/api/v3/send/campaigns/{campaign_id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<string>",
"code": "<string>",
"details": {},
"handoff": {
"kind": "connect-accounts",
"url": "<string>",
"label": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"details": {},
"handoff": {
"kind": "connect-accounts",
"url": "<string>",
"label": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"details": {},
"handoff": {
"kind": "connect-accounts",
"url": "<string>",
"label": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"details": {},
"handoff": {
"kind": "connect-accounts",
"url": "<string>",
"label": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"details": {},
"handoff": {
"kind": "connect-accounts",
"url": "<string>",
"label": "<string>"
}
}Settings & senders
Update settings
Patch settings (legal in every status; omitted fields unchanged)
PATCH
/
send
/
campaigns
/
{campaign_id}
/
settings
Patch settings (legal in every status; omitted fields unchanged)
Authorizations
API key: Authorization: Bearer og_live_...
Path Parameters
Body
application/json
Required string length:
1 - 200Required array length:
1 - 2 elementsAvailable options:
email, linkedin start_hour is inclusive, end_hour exclusive (0 = end of day); cross-midnight windows (start_hour > end_hour) are legal
Show child attributes
Show child attributes
Required range:
x >= 0Response
Success
The response is of type object.